## ros-kinetic-laser-joint-projector 1.0.11

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(laser_joint_projector)
find_package(catkin REQUIRED COMPONENTS calibration_msgs roscpp geometry_msgs roscpp_serialization)
find_package(cmake_modules REQUIRED)

find_package(kdl_parser REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(orocos_kdl REQUIRED)
include_directories(SYSTEM ${Eigen3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})
include_directories(${kdl_parser_INCLUDE_DIRS})
include_directories(${orocos_kdl_INCLUDE_DIRS})
#link_directories(${PROJECT_NAME} ${catkin_INCLUDE_DIRS})

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_init()
#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)




#uncomment if you have defined messages

#common commands for building c++ executables and libraries
#add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
#find_package(Boost REQUIRED COMPONENTS thread)
#add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
## Generate added messages and services with any dependencies listed here

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS calibration_msgs kdl_parser geometry_msgs roscpp_serialization
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)
add_library(${PROJECT_NAME} src/laser_joint_projector.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(laser_joint_projector_node src/laser_joint_projector_node.cpp)
target_link_libraries(laser_joint_projector_node ${PROJECT_NAME} ${catkin_LIBRARIES} ${Eigen3_LIBRARIES} ${kdl_parser_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_executable(keyboard_float_generator src/keyboard_float_generator.cpp)
target_link_libraries(keyboard_float_generator ${catkin_LIBRARIES})

add_executable(time_alignment_node src/time_alignment_node.cpp)
target_link_libraries(time_alignment_node ${PROJECT_NAME} ${catkin_LIBRARIES} ${Eigen3_LIBRARIES} ${kdl_parser_LIBRARIES} ${orocos_kdl_LIBRARIES})

=== debian/changelog ===
ros-kinetic-laser-joint-projector (1.0.11-0xenial) xenial; urgency=high

  * updated CMakeLists to address warnings
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.10-0xenial) xenial; urgency=high

  * updated maintainer; fixed cmake warnings; fixed compiler warnings
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 22 Mar 2018 07:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.7-0xenial) xenial; urgency=high

  * Added CMakeModules depend
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 06 Feb 2015 08:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.6-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.5-0xenial) xenial; urgency=high

  * Removed mainpage.dox for *
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 07:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.4-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 17 Sep 2014 07:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.3-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 11 Sep 2014 07:00:00 -0000

ros-kinetic-laser-joint-projector (1.0.1-0xenial) xenial; urgency=high

  * Fixed catkin_lint 0 problems
  * Works catkin_lint
  * Added hydro devel, compiles and makes in hydro
  * Removed executables
  * Removed old build files
  * Catkinization and compilation in hydro of laser_joint_projector
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-laser-joint-projector
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-calibration-msgs, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-kdl-parser, ros-kinetic-orocos-kdl, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization
Homepage: http://www.ros.org/wiki/laser_joint_projector
Standards-Version: 3.9.2

Package: ros-kinetic-laser-joint-projector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-calibration-msgs, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-kdl-parser, ros-kinetic-orocos-kdl, ros-kinetic-roscpp-serialization
Description: Projects laser readings into a point cloud, based on a set of recorded joint angles This package is experimental and unstable.
 Expect its APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-laser-joint-projector//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
